FaultDesc (Axis API)
Keywords: org.apache.axis.description.FaultDesc,FaultDesc class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.description
Class FaultDesc

    java.lang.Object
      |
      +--org.apache.axis.description.FaultDesc

public class FaultDesc
extends java.lang.Object

Holds information about a fault for an operation

Author:
  Glen Daniels (gdaniels@apache.org), Tom Jordahl (tomj@apache.org)

Constructor Summary
`FaultDesc()` Default constructor
`FaultDesc(QName qname, java.lang.String className, QName xmlType, boolean complex)` Full constructor

Method Summary
`java.lang.String` | `getClassName()`
`java.lang.String` | `getName()`
`java.util.ArrayList` | `getParameters()`
`QName` | `getQName()`
`QName` | `getXmlType()`
`boolean` | `isComplex()`
`void` | `setClassName(java.lang.String className)`
`void` | `setComplex(boolean complex)`
`void` | `setName(java.lang.String name)`
`void` | `setParameters(java.util.ArrayList parameters)`
`void` | `setQName(QName name)`
`void` | `setXmlType(QName xmlType)`
`java.lang.String` | `toString()`
`java.lang.String` | `toString(java.lang.String indent)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FaultDesc

    public FaultDesc()

  Default constructor

### FaultDesc

    public FaultDesc(QName qname,
                     java.lang.String className,
                     QName xmlType,
                     boolean complex)

  Full constructor

Method Detail

### getQName

    public QName getQName()

### setQName

    public void setQName(QName name)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getParameters

    public java.util.ArrayList getParameters()

### setParameters

    public void setParameters(java.util.ArrayList parameters)

### getClassName

    public java.lang.String getClassName()

### setClassName

    public void setClassName(java.lang.String className)

### isComplex

    public boolean isComplex()

### setComplex

    public void setComplex(boolean complex)

### getXmlType

    public QName getXmlType()

### setXmlType

    public void setXmlType(QName xmlType)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### toString

    public java.lang.String toString(java.lang.String indent)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Web Services Project. All Rights Reserved.